Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154435 - kernel dm-emc: Fix spinlock reset
Summary: kernel dm-emc: Fix spinlock reset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-11 17:47 UTC by Alasdair Kergon
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:58:14 UTC


Attachments (Terms of Use)
spinlock fix (deleted)
2005-04-11 17:47 UTC, Alasdair Kergon
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Alasdair Kergon 2005-04-11 17:47:00 UTC
Here's a trivial fix to the emc hardware
handler module. The old code memset the hardware handler
structure to zero AFTER it had initialized the structure's
spinlock field to SPIN_LOCK_UNLOCKED.  The new patch moves the
memset into the hardware handler allocator.
                                                                               
                                                     
The old code would probably only have a problem if someone
ran with spinlock debugging enabled, in which case SPIN_LOCK_UNLOCKED
contains the value SPINLOCK_MAGIC.
                                                                               
                                                     
[Dave Olien, OSDL]

Comment 1 Alasdair Kergon 2005-04-11 17:47:01 UTC
Created attachment 112966 [details]
spinlock fix

Comment 2 Lars Marowsky-Bree 2005-04-20 19:54:57 UTC
Confirmed locally and applied.

Comment 3 Alasdair Kergon 2005-04-21 17:51:13 UTC
Added to 2.6.12-rc2-udm1

Comment 8 Red Hat Bugzilla 2005-10-05 12:58:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.